Bug 1017813 - ejb-security-* Quickstarts backward compatibility
ejb-security-* Quickstarts backward compatibility
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity medium
: ER6
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
Russell Dickenson
:
Depends On:
Blocks: 1018311
  Show dependency treegraph
 
Reported: 2013-10-10 10:39 EDT by Rafael Benevides
Modified: 2014-01-12 19:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1018311 (view as bug list)
Environment:
Last Closed: 2013-12-15 11:48:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Benevides 2013-10-10 10:39:42 EDT
Description of problem:

jboss-security had package name changes from 7.2 to 7.3 which caused the Quickstarts (ejb-security-*) to  stop working.

I made some changes to fix that: 

https://github.com/jboss-developer/jboss-eap-quickstarts/commit/9c964b3f57ffcf8799c0d256f7a1da0cd14133a0

https://github.com/jboss-developer/jboss-eap-quickstarts/commit/22dfa2ac62da481698e1aff412bb63146973d9bb

but since this causes some backwards compatibility problems I'd like to revert than and ask that the API should be fixed. 


Version-Release number of selected component (if applicable):

<module name="org.jboss.as.controller" />
<module name="org.jboss.as.core-security" />

Version:

From:  7.2.1.Final-redhat-10 to 7.3.0.Final-redhat-8

How reproducible:


Steps to Reproduce:

1. Checkout https://github.com/jboss-developer/jboss-eap-quickstarts
2. Checkout 6.2.x branch
3. Cd into ejb-security-plug
4. Run the quickstart


Actual results:


Expected results:


Additional info:
Comment 1 sgilda 2013-10-10 11:05:24 EDT
The ejb-security-interceptors, ejb-security-plus, and ejb-security-propagation quickstarts use private APIs and should not have been accepts as EAP quickstarts. 

I suggest we remove them from both the master and 6.2.x branch of https://github.com/jboss-developer/jboss-eap-quickstarts.

See: https://docspace.corp.redhat.com/docs/DOC-105009
Comment 2 Paul Gier 2013-10-10 11:24:45 EDT
If these were not shipped with any previous releases, I'm in favor of removing them, to discourage users from relying on private APIs.
Comment 4 sgilda 2013-10-10 11:29:26 EDT
The documentation also points to that quickstart: 

https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html-single/Development_Guide/index.html#Change_the_Security_Context_Identity

It states:
 Refer to the ejb-security-interceptors quickstart for a complete working example.
Comment 5 Paul Gier 2013-10-10 11:33:03 EDT
In that case we probably need a separate BZ to figure out whether that API change is acceptable.  And decide if it needs to be changed back, or add some compatibility layer.
Comment 6 sgilda 2013-10-10 14:43:16 EDT
See related issue: https://bugzilla.redhat.com/show_bug.cgi?id=1017856
Comment 7 sgilda 2013-10-14 09:25:54 EDT
For the ejb-security-interceptors quickstart:
* The changes to the imports in the source code was reverted.
* A note was added that it uses a private API.
* The quickstart will not compile with the ER5 app server. The plan is to revert back to and deprecate the API.


The new ejb-security-plus and ejb-security-propagation quickstarts:
* Were removed from https://github.com/jboss-developer/jboss-eap-quickstarts/ 6.2.x branch.
* The same 2 quickstarts will be moved from the master branch to https://github.com/jboss-developer/jboss-sandbox-quickstarts
Comment 8 Vladimir Rastseluev 2013-10-18 06:48:40 EDT
Verified on EAP 6.2 ER6

Note You need to log in before you can comment on or make changes to this bug.